Skip to main content
GET
/
agents
/
{agent_id}
Get agent
curl --request GET \
  --url https://api.natural.co/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "agent",
    "id": "agt_019cd1798d637a4da75dce386343931d",
    "attributes": {
      "name": "Carrier Payment Agent v2.1",
      "description": "Autonomous agent that pays delivery carriers",
      "status": "ACTIVE",
      "created_at": "2026-01-04T15:30:00Z",
      "created_by": "usr_019cd1798d657de5b5fed4198cb9fac0",
      "updated_at": "2026-01-04T15:30:00Z",
      "updated_by": "usr_019cd1798d657de5b5fed4198cb9fac0"
    },
    "relationships": {
      "party": {
        "data": {
          "type": "party",
          "id": "pty_019cd1798d617f65a79cb965dda9eac3"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Path Parameters

agent_id
string
required

Agent ID

Response

Successful Response

Single agent response.

data
AgentResource · object
required

Resource object